mia-3disosurface-from-stack
Prev | Analysis, filtering, combining, and segmentation of 3D images | Next

### mia-3disosurface-from-stack

#### Sysnopis:

`mia-3disosurface-from-stack` {-i `string`} {-o `string`} [ `options` ...]

#### Description:

This program is used to extract an iso-surface from the input gray scale image given as slices.

#### Options:

#### File-IO

-i, --in-image=(input, required); string

  input image filename pattern

-o, --out-mesh=(output, required); string

  output mesh

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Image options

-s, --iso-value=128; float

  iso-value of iso surface to be extracted

#### Mesh options

-f, --max-faces=-1; int

  maximum number of Faces,

-e, --max-edges=-1; int

  maximum number of Edges

-c, --max-cost=0.1; float

  maximum cost for edge collaps

-r, --ratio=4; float

  ratio of faces(edges) to target number, at which the optimization changes from edge-length to volume-optimized

-w, --reverse-winding

  reverse the winding of the triangles in order to make normals point away from the high intensity area

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Extract the surface from an image set with numbers imageXXXX.png that corresponds to the value 30 and stop optimizing when the mesh consists of less than 100000 triangles.

    mia-3disosurface-from-stack -i image0000.png -o mesh.vmesh -s 30 -f 100000

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3dimagestats | Home | mia-3dlerp